File: changelog

package info (click to toggle)
fuzzyocr 3.6.0-13
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 772 kB
  • sloc: perl: 3,127; sh: 45; makefile: 42
file content (198 lines) | stat: -rw-r--r-- 6,897 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
fuzzyocr (3.6.0-13) unstable; urgency=medium

  * Remove gifinter (closes: #949943)
  * Replace debian/compat with debhelper-compat (= 12)
  * Bump Standards-Version up to 4.5.0
  * Build without root
  * Add version to dummy debian/watch

 -- Francois Marier <francois@debian.org>  Sat, 15 Feb 2020 12:15:53 -0800

fuzzyocr (3.6.0-12) unstable; urgency=medium

  * Bump Standards-Version up to 4.3.0
  * Bump debhelper to 12
  * Trim trailing whitespace.

 -- Francois Marier <francois@debian.org>  Fri, 01 Mar 2019 22:17:27 -0800

fuzzyocr (3.6.0-11) unstable; urgency=medium

  * Update VCS URLs for salsa
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.4
  * Use HTTPS URL in debian/copyright
  * Bump copyright year in debian/copyright
  * Switch package priority to optional
  * Remove trailing whitepace from debian/{control,rules,changelog}

 -- Francois Marier <francois@debian.org>  Sun, 06 May 2018 14:42:04 -0700

fuzzyocr (3.6.0-10) unstable; urgency=medium

  * Downgrade ocrad to a recommends since it's not mandatory and might
    be removed from Debian (see #774164).

  * Bump Standards-Version up to 3.9.8
  * Use HTTPS VCS URLs
  * Replace dead homepage link with archive.org snapshot
  * Put all of the packaging under the GPL

 -- Francois Marier <francois@debian.org>  Sat, 31 Dec 2016 11:58:55 -0500

fuzzyocr (3.6.0-9) unstable; urgency=medium

  * Bump Standards-Version up to 3.9.6
  * Use canonical VCS URLs
  * Add metadata to debian/patches

 -- Francois Marier <francois@debian.org>  Thu, 18 Sep 2014 23:17:59 +1200

fuzzyocr (3.6.0-8) unstable; urgency=low

  * debian/watch: remove upstream source that disappeared
  * debian/copyright: convert to machine-readable format
  * Bump Standards-Version up to 3.9.4

 -- Francois Marier <francois@debian.org>  Mon, 20 May 2013 12:13:17 +1200

fuzzyocr (3.6.0-7) unstable; urgency=low

  * Bump debhelper compatibility to 9
  * Bump Standards-Version up to 3.9.3

 -- Francois Marier <francois@debian.org>  Mon, 28 May 2012 22:49:03 +1200

fuzzyocr (3.6.0-6) unstable; urgency=low

  * Add missing "delete" to fix warnings in PDF scans (closes: #634009)
    Thanks to Gerald Turner for the patch!

  * Bump Standards-Version up to 3.9.2
  * Add empty "build-arch" and "build-indep" targets to debian/rules
  * Remove unnecessary dh_make template comments from debian/watch

 -- Francois Marier <francois@debian.org>  Fri, 15 Jul 2011 16:18:47 -0700

fuzzyocr (3.6.0-5) unstable; urgency=low

  * Depend on gocr, ocrad and tesseract (closes: #619613)
  * Remove unnecessary versioned dependency on spamassassin
  * Remove obsolete conflict

 -- Francois Marier <francois@debian.org>  Sat, 26 Mar 2011 11:50:04 +1300

fuzzyocr (3.6.0-4) unstable; urgency=low

  * Bump Standards-Version up to 3.9.1
  * Bump debhelper compatibility to 8

 -- Francois Marier <francois@debian.org>  Wed, 22 Dec 2010 16:28:13 +1300

fuzzyocr (3.6.0-3) unstable; urgency=low

  * Extend the untaint patch (closes: #568233)

 -- Francois Marier <francois@debian.org>  Tue, 18 May 2010 21:35:27 +1200

fuzzyocr (3.6.0-2) unstable; urgency=low

  * Apply patch to untaint ocr helpers (closes: #571218, #568560)
    Thanks to Arjan and Martin for the patches!

 -- Francois Marier <francois@debian.org>  Fri, 14 May 2010 14:08:37 +1200

fuzzyocr (3.6.0-1) unstable; urgency=low

  * New upstream release
  * Adopt this package (closes: #578828)
  * Acknowledge NMUs (closes: #540459, #522285, #525413, #500950, #528728)

  * Bump Standards-Version to 3.8.4
  * Bump debhelper compatibility to 7 (and use dh_prep in debian/rules)
  * Switch to 3.0 (quilt) source package format
  * Add git vcs fields to debian/control
  * Add dependency on ${misc:Depends} (lintian warning)

 -- Francois Marier <francois@debian.org>  Mon, 03 May 2010 16:58:08 +1200

fuzzyocr (3.5.1+svn135-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * giflib provided a transitional package for libungif-bin and
    reduced it to a simple provides now.  As versioned dependencies
    on provided packages do not work, move the dependency over to
    giflib-tools.  (Closes: #540459)

 -- Philipp Kern <pkern@debian.org>  Sat, 22 Aug 2009 14:28:36 +0200

fuzzyocr (3.5.1+svn135-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix perl warning causing problems in FuzzyOcr preprocessor
    (closes: #522285, #525413)
  * Redo maintainer scripts from debhelper templates and split the
    postinst into a preinst and a postinst (closes: #500950)

  * Add homepage field in debian/control
  * Bump Standards-Version up to 3.8.1
  * Cleanup debian/copyright to fix lintian warnings
  * Fix watch file to demangle upstream and debian versions

 -- Francois Marier <francois@debian.org>  Fri, 08 May 2009 12:46:29 +1200

fuzzyocr (3.5.1+svn135-1) unstable; urgency=low

  * This version works with spamassassin 3.2 (Closes: #500426)
  * Upgrade to svn135 (Closes: #406396)
  * Repair watch file (Closes: #449770)
  * Depends on tesseract-ocr | gocr | ocrad,
  * patches to use tesseract  (Closes: #481383).
  * Depend on libtie-cache-perl, libdbd-mysql-perl to
    avoid warnings in /var/log/mail.warn ;
    do not print warnings regarding missing executables in normal
    mode, but only in debug mode    (Closes: #407992)
  * Up standard to 3.8.0
  * Do not use  pamthreshold, pamtopnm (they are not available in Debian)
  * Do not ship full Apache license in copyright

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 28 Sep 2008 10:08:24 +0200

fuzzyocr3 (3.5.1-2) experimental; urgency=low

  * - Add upstream changelog.
    - Add samples to /usr/share/doc/fuzzyocr3/examples.
    - Add Utils to /usr/share/doc/fuzzyocr3/Utils.
   thanks to gregor herrmann (Closes: #406663)
  * do not use pam* stuff, (unavailable in netpbm, due to lack of license),
   thanks to Alexander Elbs (Closes: #406626)
   &  thanks  Gary V for the patches

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 17 Jan 2007 10:35:19 +0100

fuzzyocr3 (3.5.1-1) experimental; urgency=low

  * New upstream release

 -- A Mennucc1 <mennucc1@debian.org>  Sun,  7 Jan 2007 17:07:33 +0100

fuzzyocr (2.3b-2) unstable; urgency=low

  * Bug fix: "fuzzyocr: Misleading error message", thanks to Adam Porter
    (Closes: #404632).
  * Bug fix: "fuzzyocr: Perl module path is hardcoded", thanks to Adam
    Porter (Closes: #404627);    and also
  * FuzzyOcr.cf : set focr_global_wordlist to /etc/spamassassin/FuzzyOcr.words
    thanks to Michael Holtermann
  * added "portfolio" to sample spam words

 -- A Mennucc1 <mennucc1@debian.org>  Sat,  6 Jan 2007 10:01:26 +0100

fuzzyocr (2.3b-1) unstable; urgency=low

  * Initial release (Closes: #397615)
  * Attention: the gocr binary has a bug which can cause segfaults
    with specific images. This may turn out to be a security threat.
    Use this sw with caution.

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 30 Nov 2006 11:13:32 +0100